CMSIS-DSP: arm_bitreversal2.c File Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_bitreversal2.c File Reference

## Functions

void | arm_bitreversal_64 (uint64_t *pSrc, const uint16_t bitRevLen, const uint16_t *pBitRevTab)
| In-place 64 bit reversal function. More...
void | arm_bitreversal_32 (uint32_t *pSrc, const uint16_t bitRevLen, const uint16_t *pBitRevTab)
| In-place 32 bit reversal function. More...
void | arm_bitreversal_16 (uint16_t *pSrc, const uint16_t bitRevLen, const uint16_t *pBitRevTab)
| In-place 16 bit reversal function. More...

## Function Documentation

void arm_bitreversal_16 | ( | uint16_t * | pSrc,
|  | const uint16_t | bitRevLen,
|  | const uint16_t * | pBitRevTab
| ) |  |

Parameters

  [in,out] | pSrc | points to in-place buffer of unknown 16-bit data type
  [in] | bitRevLen | bit reversal table length
  [in] | pBitRevTab | points to bit reversal table

Returns
  none

void arm_bitreversal_32 | ( | uint32_t * | pSrc,
|  | const uint16_t | bitRevLen,
|  | const uint16_t * | pBitRevTab
| ) |  |

Parameters

  [in,out] | pSrc | points to in-place buffer of unknown 32-bit data type
  [in] | bitRevLen | bit reversal table length
  [in] | pBitRevTab | points to bit reversal table

Returns
  none

void arm_bitreversal_64 | ( | uint64_t * | pSrc,
|  | const uint16_t | bitRevLen,
|  | const uint16_t * | pBitRevTab
| ) |  |

Parameters

  [in,out] | pSrc | points to in-place buffer of unknown 64-bit data type
  [in] | bitRevLen | bit reversal table length
  [in] | pBitRevTab | points to bit reversal table

Returns
  none